Summary: Web development tool extension for firefox
Name: firefox-ext-firebug
Version: 1.11.2
Release: %mkrel 1
License: BSD
Group:	Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/firebug/
Source: http://getfirebug.com/releases/firebug/1.11/firebug-%{version}.xpi
Requires:	firefox >= %{firefox_epoch}:%{firefox_version}
BuildRequires:	firefox-devel
Buildarch: noarch

%description
The most popular and powerful web development tool

    * Inspect HTML and modify style and layout in real-time
    * Use the most advanced JavaScript debugger available for any browser
    * Accurately analyze network usage and performance
    * Extend Firebug and add features to make Firebug even more powerful
    * Get the information you need to get it done with Firebug.


%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}/*


%changelog

* Fri Mar 01 2013 tv <tv> 1.11.2-1.mga3
+ Revision: 400847
- new release
- fix URL

* Fri Jan 11 2013 umeabot <umeabot> 1.11.1-2.mga3
+ Revision: 350411
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 tv <tv> 1.11.1-1.mga3
+ Revision: 343081
- new release

* Thu Dec 06 2012 fwang <fwang> 1.10.6-1.mga3
+ Revision: 327115
- new version 1.10.6

* Thu Aug 02 2012 tv <tv> 1.10.1-1.mga3
+ Revision: 277886
- new release

* Tue Jul 24 2012 tv <tv> 1.10.0-1.mga3
+ Revision: 274106
- new release

* Tue May 29 2012 fwang <fwang> 1.9.2-2.mga3
+ Revision: 248939
- rebuild for fixed firefox-devel

* Sat May 26 2012 tv <tv> 1.9.2-1.mga3
+ Revision: 236024
- fix source URL
- new release

* Fri Jan 06 2012 fwang <fwang> 1.9.0-1.mga2
+ Revision: 192513
- new version 1.9.0 final

* Fri Jan 06 2012 tv <tv> 1.9.0-0.b5.mga2
+ Revision: 192477
- new release

* Fri Dec 16 2011 tv <tv> 1.9.0-0.b4.mga2
+ Revision: 182847
- new release

* Sun Dec 04 2011 tv <tv> 1.9.0-0.b3.mga2
+ Revision: 176554
- new release

* Sat Nov 26 2011 tv <tv> 1.9.0-0.b2.mga2
+ Revision: 172319
- new pre-release

* Fri Nov 04 2011 tv <tv> 1.8.4-1.mga2
+ Revision: 162991
- new release

* Sat Sep 17 2011 tv <tv> 1.8.3-1.mga2
+ Revision: 144379
- new release

* Thu Sep 01 2011 tv <tv> 1.8.2-1.mga2
+ Revision: 137389
- new release
- new release
- new release
- new prerelease

  + dmorgan <dmorgan>
    - Rebuild to have a higher release in cauldron

* Mon Jun 20 2011 tv <tv> 1.8.0-1.b4.mga2
+ Revision: 110739
- new prerelease
- fix release tag

* Mon Jun 20 2011 tv <tv> 1.8.0-0.%re.mga2
+ Revision: 110169
- new prerelease

* Wed May 18 2011 tv <tv> 1.7.1-1.mga1
+ Revision: 99597
- new release

* Tue Mar 22 2011 tv <tv> 1.7.0-1.mga1
+ Revision: 75573
- new release

* Thu Mar 17 2011 tv <tv> 1.7-0.X.0b3.1.mga1
+ Revision: 73366
- new beta

* Thu Mar 17 2011 tv <tv> 1.7-0.X.0b2.1.mga1
+ Revision: 73063
- new beta

* Tue Mar 08 2011 tv <tv> 1.7-0.X.0b1.1.mga1
+ Revision: 66700
- new release (alpha => beta)

* Fri Feb 18 2011 tv <tv> 1.7-0.X.0a11.1.mga1
+ Revision: 53891
- fix license
- do not own %%firefox_extdir
- new prerelease

* Tue Feb 01 2011 tv <tv> 1.7-0.X.0a9.1.mga1
+ Revision: 45598
- imported package firefox-ext-firebug


* Wed Jan 26 2011 Thierry Vignaud <tv@mandriva.org> 1.7-0.X.0a9.1mdv2011.0
+ Revision: 632900
- new release

* Wed Jan 19 2011 Thierry Vignaud <tv@mandriva.org> 1.7-0.X.0a8.1
+ Revision: 631666
- new version
- prevent need to rebuild for every new firefox
 (package only .xpi still doesn't work)
- only package .xpi

* Wed Jan 05 2011 Thierry Vignaud <tv@mandriva.org> 1.7-0.X.0a7.1mdv2011.0
+ Revision: 628864
- rebuild for new firefox

* Tue Nov 30 2010 Thierry Vignaud <tv@mandriva.org> 1.7-0.X.0a7mdv2011.0
+ Revision: 604013
- new release
  firebug-1.6.0-fx.xpi
  firebug-1.7X.0a7.xpi

* Tue Nov 30 2010 Thierry Vignaud <tv@mandriva.org> 1.6.0-0.0mdv2011.0
+ Revision: 603235
- new release

* Wed Nov 17 2010 Thierry Vignaud <tv@mandriva.org> 1.6-0.X.0b4mdv2011.0
+ Revision: 598388
- 1.6X.0b4

* Mon Nov 15 2010 Thierry Vignaud <tv@mandriva.org> 1.6-0.X.0b3mdv2011.0
+ Revision: 597634
- switch to 1.6x branch (which is compatible with firefox4)

* Sun Nov 14 2010 Thierry Vignaud <tv@mandriva.org> 1.5.4-4mdv2011.0
+ Revision: 597379
- rebuild for new firefox

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 1.5.4-3mdv2011.0
+ Revision: 561160
- rebuild for ff 3.6.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 1.5.4-2mdv2010.1
+ Revision: 549365
- rebuild with FF 3.6.6

  + Funda Wang <fwang@mandriva.org>
    - New version 1.5.4

* Fri Apr 30 2010 Thierry Vignaud <tv@mandriva.org> 1.5.3-1mdv2010.1
+ Revision: 541247
- import firefox-ext-firebug


* Fri Apr 30 2010 Thierry Vignaud <tvignaud@mandriva.com> 1.5.3-1mdv2010.1
- initial release

